unit DataModule_Unit;

interface

uses
  System.SysUtils, System.Classes, FireDAC.Stan.Intf, FireDAC.Stan.Option,
  FireDAC.Stan.Error, FireDAC.UI.Intf, FireDAC.Phys.Intf, FireDAC.Stan.Def,
  FireDAC.Stan.Pool, FireDAC.Stan.Async, FireDAC.Phys, FireDAC.Phys.PG,
  FireDAC.Phys.PGDef, FireDAC.VCLUI.Wait, FireDAC.Stan.Param, FireDAC.DatS,
  FireDAC.DApt.Intf, FireDAC.DApt, Data.DB, FireDAC.Comp.DataSet,
  FireDAC.Comp.Client, FireDAC.Comp.UI;

type
  TDM = class(TDataModule)
    FDConnection1: TFDConnection;
    FDPhysPgDriverLink1: TFDPhysPgDriverLink;
    FDGUIxWaitCursor1: TFDGUIxWaitCursor;
    FDQuery1: TFDQuery;
  private
    { Private 錾 }
  public
    { Public 錾 }
    function GetNAME_QTY(TSNO : string):string;  //

    function InsNAME(TSNO : string; TSNAME : string):string ;  //ǉ
    function GetNAME(TSNO : string):string;  //
    function UpdNAME(TSNO : string; TSNAME : string):string ;  //XV
    function DelNAME(TSNO : string):string;  //폜
  end;

var
  DM: TDM;

implementation

{%CLASSGROUP 'Vcl.Controls.TControl'}

{$R *.dfm}

function TDM.GetNAME_QTY(TSNO : string):string;
var
   SQLstmt:String;
begin
   SQLstmt:='SELECT * FROM  DsTEST_TBL '
   +' WHERE TSNO = :P1';
   DM.FDQuery1:=TFDQuery.Create(Self);
   DM.FDQuery1.Connection:=DM.FDConnection1;
   DM.FDQuery1.SQL.Clear;   //SQLر
   DM.FDQuery1.SQL.Text:= sqlstmt;  // sDML(SELECT)SQLZbg
   DM.FDQuery1.Params.ParamByName('P1').AsString:=TSNO;
   DM.FDQuery1.Open();
   if DM.FDQuery1.Eof then
      Result:= 'YȂ'
   else
   begin
      DM.FDQuery1.First;
      Result:= DM.FDQuery1.FieldByName('TSNAME').AsString;
   end;
   DM.FDQuery1.Close;
   DM.FDQuery1.Free;
end;

function TDM.InsNAME(TSNO : string; TSNAME : string):string ;
var
   SQLstmt:String;
begin
   SQLstmt:='INSERT INTO DsTEST_TBL '
   +' ( '
   +'TSNO,TSNAME '
   +' ) '
   +'values'
   +' ('
   +':P1,:N1 '
   +' )';
   DM.FDQuery1:=TFDQuery.Create(Self);
   DM.FDQuery1.Connection:=DM.FDConnection1;
   DM.FDQuery1.SQL.Clear;   //SQLر
   DM.FDQuery1.SQL.Text:= sqlstmt;  // sDML(INSERT)SQLZbg
   DM.FDQuery1.Params.ParamByName('P1').AsString:=TSNO;
   DM.FDQuery1.Params.ParamByName('N1').AsString:=TSNAME;
   DM.FDQuery1.ExecSQL;
   DM.FDQuery1.Close;
   DM.FDQuery1.Free;
end;

function TDM.GetNAME(TSNO : string):string;
var
   SQLstmt:String;
begin
   SQLstmt:='SELECT * FROM  DsTEST_TBL '
   +' WHERE TSNO = :P1';
   DM.FDQuery1:=TFDQuery.Create(Self);
   DM.FDQuery1.Connection:=DM.FDConnection1;
   DM.FDQuery1.SQL.Clear;   //SQLر
   DM.FDQuery1.SQL.Text:= sqlstmt;  // sDML(SELECT)SQLZbg
   DM.FDQuery1.Params.ParamByName('P1').AsString:=TSNO;
   DM.FDQuery1.Open();
   if DM.FDQuery1.Eof then
      Result:= 'YȂ'
   else
   begin
      DM.FDQuery1.First;
      Result:= DM.FDQuery1.FieldByName('TSNAME').AsString;
   end;
   DM.FDQuery1.Close;
   DM.FDQuery1.Free;
end;

function TDM.UpdNAME(TSNO : string; TSNAME : string):string ;
var
   SQLstmt:String;
begin
   SQLstmt:='UPDATE DsTEST_TBL '
   +' SET TSNAME  = :N1 '
   +' Where TSNO = :P1';
   DM.FDQuery1:=TFDQuery.Create(Self);
   DM.FDQuery1.Connection:=DM.FDConnection1;
   DM.FDQuery1.SQL.Clear;   //SQLر
   DM.FDQuery1.SQL.Text:= sqlstmt;  // sDML(UPDATE)SQLZbg
   DM.FDQuery1.Params.ParamByName('P1').AsString:=TSNO;
   DM.FDQuery1.Params.ParamByName('N1').AsString:=TSNAME;
   DM.FDQuery1.ExecSQL;
   DM.FDQuery1.Close;
   DM.FDQuery1.Free;
end;

function TDM.DelNAME(TSNO : string):string;
var
   SQLstmt:String;
begin
   sqlstmt :='DELETE FROM DsTEST_TBL '
   +' Where TSNO = :P1';
   DM.FDQuery1:=TFDQuery.Create(Self);
   DM.FDQuery1.Connection:=DM.FDConnection1;
   DM.FDQuery1.SQL.Clear;   //SQLر
   DM.FDQuery1.SQL.Text:= sqlstmt;  // sDML(DELETE)SQLZbg
   DM.FDQuery1.Params.ParamByName('P1').AsString:=TSNO;
   DM.FDQuery1.ExecSQL;
   DM.FDQuery1.Close;
   DM.FDQuery1.Free;
end;


end.
